from astropy.wcs import WCS
from wcsaxes import datasets

hdu = datasets.fetch_l1448_co_hdu()
wcs = WCS(hdu.header)

import matplotlib.pyplot as plt

fig = plt.figure()
ax = fig.add_axes([0.1, 0.1, 0.8, 0.8], projection=wcs,
                  slices=(50, 'y', 'x'))

ax.imshow(hdu.data[:, :, 50].transpose(), cmap=plt.cm.gist_heat)